<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Approval KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-6 col-md-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">KRS </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-6 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Detail KRS</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studiesActivity/krs/approval/list}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                <div th:text="${'Ipk : ' + ipk}"></div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>Matakuliah</th>
                                                <th>SKS</th>
                                                <th>Kelas</th>
                                                <th>Dosen</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="dataDetail : ${listKrsDetail}">
                                                <td th:text="${dataDetail.matakuliahKurikulum.matakuliah.namaMatakuliah}">18101040</td>
                                                <td th:text="${dataDetail.matakuliahKurikulum.jumlahSks}">Rafhatullah</td>
                                                <td th:text="${dataDetail.jadwal.kelas.namaKelas}">HES</td>
                                                <td th:text="${dataDetail.jadwal.dosen.karyawan.namaKaryawan}"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="row mt-4">
                                        <div class="col-md-2 col-xs-12">
                                            <form th:if="${krsApproval.status == krsApproval.status.WAITING}" th:action="@{/studiesActivity/krs/approval/approve(krsApproval = ${krsApproval.id})}" method="post">
                                                <button type="submit" class="btn btn-success ml-auto">Approve</button>
                                            </form>
                                        </div>
                                        <div class="col-md-2 col-xs-12">
                                            <form th:if="${krsApproval.status == krsApproval.status.WAITING}" th:action="@{/studiesActivity/krs/approval/reject(krsApproval = ${krsApproval.id})}" method="post">
                                                <button type="submit" class="btn btn-danger ml-auto">Reject</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>